2016-02-26

О планах будущей поддержки Ruby 2.0.0 и 2.1


Ruby 2.0.0

Поддержка Ruby 2.0.0 заканчивается сегодня, как это и было объявлено ранее. Исправления и обновления безопасности не будут переноситься в 2.0.0, не будет и выхода новых версий.
Мы очень рекомендуем вам обновиться на Ruby 2.3 или 2.2.
Пожалуйста, напишите в список рассылки, если вы по каким-либо причинам не можете обновиться и желаете продолжать поддерживать эту ветку.

Ruby 2.1

Версия Ruby 2.1.9 выйдет в конце марта. После этого мы закончим развитие 2.1 и перейдем в фазу обновлений безопасности. Также после выхода 2.1.9 мы не будем переносить исправления, не касающиеся безопасности, из новых версий.
Подумайте о переходе на Ruby 2.3 или 2.2.
Кстати, мы планируем выпустить Ruby 2.1.10 сразу после 2.1.9. Это технический релиз без исправлений, чтобы протестировать выпуск версии с двузначным номером. Этого еще не случалось, поэтому мы думаем, что необходимо это попробовать без значительных изменений.
Ruby 2.1.10 не будет отличаться от 2.1.9 ничем, кроме номера версии. Вам необязательно обновляться, но стоит попробовать перед выходом 2.1.11 с возможными исправлениями безопасности.

источник

Комментариев нет:

Отправить комментарий